Name:		gdk-pixbuf
Version:	0.22.0
Release:	1.3
Epoch:		1
Summary:	An image loading library used with GNOME
License:	LGPLv2+
Group:		System Environment/Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source2:	local-hack-gmodule2.tar.gz

Patch2:		gdk-pixbuf-0.18.0-gmodulehack.patch
# Quote in configure.in appropriately for recent libtool
Patch3:		gdk-pixbuf-0.22.0-acquote.patch
# Patches backported from GTK+ HEAD
Patch5:		gdk-pixbuf-0.22.0-bmp-colormap.patch
Patch6:		gdk-pixbuf-0.22.0-ico-width.patch
Patch7:		gdk-pixbuf-underquoted.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=150601
Patch8:		gdk-pixbuf-0.22.0-bmploop.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=130711
Patch10:	gdk-pixbuf-0.22.0-loaders.patch
Patch11:	gtk+-2.2.2-noexecstack.patch
Patch12:	gdk-pixbuf-0.22.0-bmpcrash.patch
Patch13:	gdk-pixbuf-0.22.0-xpm-largecol.patch
Patch14:	gdk-pixbuf-0.22.0-xpm-ncol-overflow.patch
Patch15:	gdk-pixbuf-0.22.0-xpm-whc-overflow.patch
# Modular X moves rgb.txt
Patch16:	gdk-pixbuf-0.22.0-rgb.patch
# multilib fixes
Patch17:	gdk-pixbuf-0.22.0-multilib.patch

URL:		http://developer.gnome.org/arch/imaging/gdkpixbuf.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	audiofile
BuildRequires:	autoconf, libtool, automake14
BuildRequires:	gtk+-devel, libpng-devel >= 1.2.2, libXt-devel

Obsoletes:	gdk-pixbuf-gnome < 1:0.22.0-29

%description
The gdk-pixbuf package contains an image loading library used with the
GNOME GUI desktop environment. The GdkPixBuf library provides image
loading facilities, the rendering of a GdkPixBuf into various formats
(drawables or GdkRGB buffers), and a cache interface.

%package devel
Summary:	Files needed for developing apps to work with the GdkPixBuf library
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains the libraries, header files, and include files
needed for developing applications that will work with the GdkPixBuf
image loading library.


%prep

%setup -q

%patch2 -p1 -b .gmodulehack
%patch3 -p1 -b .acquote

(cd gdk-pixbuf && tar zxf %{SOURCE2})

%patch5 -p1 -b .bmp-colormap
%patch6 -p1 -b .ico-width
%patch7 -p1 -b .underquoted
%patch8 -p1 -b .bmploop
%patch10 -p1 -b .loaders
%patch11 -p1 -b .noexecstack
%patch12 -p1 -b .bmpcrash
%patch13 -p1 -b .xpm-ncol-overflow
%patch14 -p1 -b .xpm-whc-overflow
%patch15 -p1 -b .xpm-largecol
%patch16 -p1 -b .rgb
%patch17 -p1 -b .multilib

perl -p -i.bak -e 's/gmodule.h/gmodule-local.h/g; s/g_module/local_hack_g_module/g; s/GModule/LocalHackGModule/g; s/G_MODULE/LOCAL_HACK_G_MODULE/g' gdk-pixbuf/gdk-pixbuf-io.c gdk-pixbuf/gdk-pixbuf-io.h
perl -pi -e 's/-static//g' gdk-pixbuf/local-hack-gmodule/Makefile

%build
libtoolize --copy --force
aclocal-1.4
automake-1.4
autoconf

(cd gdk-pixbuf/local-hack-gmodule && make && cp gmodule-local.h ..)

CFLAGS="$RPM_OPT_FLAGS" ./configure	\
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir}	 --libdir=%{_libdir}\
	--localstatedir=%{_localstatedir} --disable-gtk-doc

make

%install
rm -rf %{buildroot}
make prefix=%{buildroot}/%{_prefix} \
	sysconfdir=%{buildroot}/%{_sysconfdir} libdir=%{buildroot}/%{_libdir}\
	localstatedir=%{buildroot}/%{_localstatedir} install

# nuke .la files and .a files
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO doc/*.txt doc/html
%{_libdir}/libgdk_pixbuf*.so.*
%dir %{_libdir}/gdk-pixbuf
%dir %{_libdir}/gdk-pixbuf/loaders
%{_libdir}/gdk-pixbuf/loaders/lib*.so*

%files devel
%defattr (-, root, root)
%{_includedir}/*
%{_bindir}/gdk-pixbuf-config
%{_libdir}/*so
%{_libdir}/*Conf.sh
%{_libdir}/pkgconfig/gdk-pixbuf.pc
%{_datadir}/aclocal/*
%{_datadir}/gnome/html/*

%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
